org.richfaces.ui.select

## Class SelectManyHelper

- java.lang.Object
- - org.richfaces.ui.select.SelectManyHelper

-     public class SelectManyHelper
      extends Object

  Author:
    Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<ClientSelectItem>` | `clientSelectItemComparator`
    `static com.google.common.base.Predicate<ClientSelectItem>` | `SELECTED_PREDICATE`
    `static com.google.common.base.Predicate<ClientSelectItem>` | `UNSELECTED_PREDICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectManyHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<ClientSelectItem>` | `getClientSelectItems(javax.faces.context.FacesContext facesContext, AbstractSelectManyComponent select, Iterator<javax.faces.model.SelectItem> selectItems)`
    `static Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object val)`
    `static javax.faces.convert.Converter` | `getItemConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `static javax.faces.component.UISelectItems` | `getPseudoSelectItems(SelectItemsInterface selectItemsInterface)`
    `static javax.faces.convert.Converter` | `getSelectItemConverter(javax.faces.application.Application facesApplication, Iterator<javax.faces.model.SelectItem> selectItems)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientSelectItemComparator

          public static Comparator<ClientSelectItem> clientSelectItemComparator

    - #### SELECTED_PREDICATE

          public static com.google.common.base.Predicate<ClientSelectItem> SELECTED_PREDICATE

    - #### UNSELECTED_PREDICATE

          public static com.google.common.base.Predicate<ClientSelectItem> UNSELECTED_PREDICATE

  - ### Constructor Detail

    - #### SelectManyHelper

          public SelectManyHelper()

  - ### Method Detail

    - #### getClientSelectItems

          public static List<ClientSelectItem> getClientSelectItems(javax.faces.context.FacesContext facesContext,
                                                    AbstractSelectManyComponent select,
                                                    Iterator<javax.faces.model.SelectItem> selectItems)

    - #### getConvertedValue

          public static Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 Object val)
                                          throws javax.faces.convert.ConverterException

      Throws:
        `javax.faces.convert.ConverterException`

    - #### getItemConverter

          public static javax.faces.convert.Converter getItemConverter(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

    - #### getSelectItemConverter

          public static javax.faces.convert.Converter getSelectItemConverter(javax.faces.application.Application facesApplication,
                                                             Iterator<javax.faces.model.SelectItem> selectItems)

    - #### getPseudoSelectItems

          public static javax.faces.component.UISelectItems getPseudoSelectItems(SelectItemsInterface selectItemsInterface)

Copyright © 2014 JBoss by Red Hat. All rights reserved.